Index: extensions/Copyrights/TODO
===================================================================
--- extensions/Copyrights/TODO	(revision 10936)
+++ extensions/Copyrights/TODO	(revision 10973)
@@ -1,4 +1,4 @@
-- Implement single mode Batch Manage
+- Implement single mode Batch Manager
   Probably use prefilters combined with loc_begin_element_set_unit
-- Add Icon and Description fields to copyrights
+- Add Icon field to copyrights
 - Show the copyright when image is displayed
Index: extensions/Copyrights/admin.php
===================================================================
--- extensions/Copyrights/admin.php	(revision 10936)
+++ extensions/Copyrights/admin.php	(revision 10973)
@@ -38,4 +38,5 @@
 $CRname = '';
 $CRurl = '';
+$CRdesc = '';
 $CRvisible = 0;
 
@@ -45,11 +46,12 @@
     $name = pwg_db_real_escape_string($_REQUEST['name']);
     $url = pwg_db_real_escape_string($_REQUEST['url']);
+    $desc = pwg_db_real_escape_string($_REQUEST['desc']);
     $visible = (isset($_REQUEST['visible']) ? 1 : 0);
     $query = sprintf(
       'INSERT INTO %s
-      (`name`,`url`,`visible`) VALUES
-      ("%s","%s",%d)
+      (`name`,`url`,`des`,`visible`) VALUES
+      ("%s","%s","%s",%d)
       ;',
-      COPYRIGHTS_ADMIN, $name, $url, $visible);
+      COPYRIGHTS_ADMIN, $name, $url, $desc, $visible);
     pwg_query($query);
   }
@@ -68,4 +70,5 @@
     $CRname = $row['name'];
     $CRurl = $row['url'];
+    $CRdesc = $row['desc'];
     $CRvisible = $row['visible'];
   }
@@ -75,11 +78,12 @@
     $name = pwg_db_real_escape_string($_REQUEST['name']);
     $url = pwg_db_real_escape_string($_REQUEST['url']);
+    $desc= pwg_db_real_escape_string($_REQUEST['desc']);
     $visible = (isset($_REQUEST['visible']) ? 1 : 0);
     $query = sprintf(
       'UPDATE %s
-      SET `name`="%s", `url`="%s", `visible`=%d
+      SET `name`="%s", `url`="%s", `desc`="%s", `visible`=%d
       WHERE `cr_id`=%d
       ;',
-      COPYRIGHTS_ADMIN, $name, $url, $visible, $id);
+      COPYRIGHTS_ADMIN, $name, $url, $desc, $visible, $id);
     pwg_query($query);
   }
@@ -119,4 +123,5 @@
       'name'    => $row['name'],
       'url'     => $row['url'],
+      'desc'    => $row['desc'],
       'visible' => $row['visible']
     )
@@ -133,4 +138,5 @@
 $template->assign('CRname', $CRname);
 $template->assign('CRurl', $CRurl);
+$template->assign('CRdesc', $CRdesc);
 $template->assign('CRvisible', $CRvisible);
 
Index: extensions/Copyrights/admin.tpl
===================================================================
--- extensions/Copyrights/admin.tpl	(revision 10936)
+++ extensions/Copyrights/admin.tpl	(revision 10973)
@@ -17,4 +17,8 @@
           <td>{'URL'|@translate}</td>
           <td><input type='text' name='url'  id='url'  value='{$CRurl}' /></td>
+        </tr>
+        <tr>
+          <td>{'Description'|@translate}</td>
+          <td><textarea name='desc' id='desc'>{$CRdesc}</textarea></td>
         </tr>
         <tr>
@@ -41,4 +45,5 @@
         <th>{'Name'|@translate}</th>
         <th>{'URL'|@translate}</th>
+        <th>{'Description'|@translate}</th>
         <th>{'Visible'|@translate}</th>
         <th>{'Actions'|@translate}</th>
@@ -50,4 +55,5 @@
         <td>{$CR.name}</td>
         <td><a href="{$CR.url}">{$CR.url}</a></td>
+        <td>{$CR.desc}</td>
         <td>{if $CR.visible != 0}{'Yes'|@translate}
           {else}{'No'|@translate}{/if}
Index: extensions/Copyrights/maintain.inc.php
===================================================================
--- extensions/Copyrights/maintain.inc.php	(revision 10936)
+++ extensions/Copyrights/maintain.inc.php	(revision 10973)
@@ -29,4 +29,5 @@
       name varchar(255) UNIQUE NOT NULL,
       url varchar(255) NOT NULL,
+      desc text DEFAULT NULL,
       visible bool DEFAULT 0,
       PRIMARY KEY (cr_id)
@@ -79,4 +80,9 @@
       'name' => 'Creative Commons (BY)',
       'url' => 'http://creativecommons.org/licenses/by/3.0/',
+      'desc' => 'This license lets others distribute, remix, tweak, and build 
+                upon your work, even commercially, as long as they credit you 
+                for the original creation. This is the most accommodating of 
+                licenses offered. Recommended for maximum dissemination and 
+                use of licensed materials.',
       'visible' => 1
     ),
@@ -84,4 +90,13 @@
       'name' => 'Creative Commons (BY-SA)',
       'url' => 'http://creativecommons.org/licenses/by-sa/3.0/',
+      'desc' => 'This license lets others remix, tweak, and build upon your
+                work even for commercial purposes, as long as they credit you
+                and license their new creations under the identical terms. This
+                license is often compared to “copyleft” free and open source
+                software licenses. All new works based on yours will carry the
+                same license, so any derivatives will also allow commercial
+                use. This is the license used by Wikipedia, and is recommended
+                for materials that would benefit from incorporating content
+                from Wikipedia and similarly licensed projects.',
       'visible' => 1
     ),
@@ -89,4 +104,7 @@
       'name' => 'Creative Commons (BY-ND)',
       'url' => 'http://creativecommons.org/licenses/by-nd/3.0/',
+      'desc' => 'This license allows for redistribution, commercial and 
+                non-commercial, as long as it is passed along unchanged and in
+                whole, with credit to you.',
       'visible' => 1
     ),
@@ -94,4 +112,8 @@
       'name' => 'Creative Commons (BY-NC)',
       'url' => 'http://creativecommons.org/licenses/by-nc/3.0/',
+      'desc' => 'This license lets others remix, tweak, and build upon your
+                work non-commercially, and although their new works must also
+                acknowledge you and be non-commercial, they don’t have to
+                license their derivative works on the same terms.',
       'visible' => 1
     ),
@@ -99,4 +121,7 @@
       'name' => 'Creative Commons (BY-NC-SA)',
       'url' => 'http://creativecommons.org/licenses/by-nc-sa/3.0/',
+      'desc' => 'This license lets others remix, tweak, and build upon your
+                work non-commercially, as long as they credit you and license
+                their new creations under the identical terms.',
       'visible' => 1
     ),
@@ -104,4 +129,8 @@
       'name' => 'Creative Commons (BY-NC-ND)',
       'url' => 'http://creativecommons.org/licenses/by-nc-nd/3.0/',
+      'desc' => 'This license is the most restrictive of our six main licenses,
+                only allowing others to download your works and share them with
+                others as long as they credit you, but they can’t change them
+                in any way or use them commercially.',
       'visible' => 1
     )
@@ -110,9 +139,5 @@
   mass_inserts(
     $prefixeTable.'copyrights_admin',
-    array(
-      'name',
-      'url',
-      'visible'
-    ),
+    array_keys($inserts[0]),
     $inserts
   );