Index: /extensions/lmt/admin/plugin_admin.php
===================================================================
--- /extensions/lmt/admin/plugin_admin.php	(revision 10973)
+++ /extensions/lmt/admin/plugin_admin.php	(revision 10974)
@@ -15,5 +15,4 @@
 
 global $prefixeTable;
-
 
 load_language('plugin.lang', LMT_PATH);
@@ -54,8 +53,4 @@
 }
 
-
-
-
 $plugin_aip->manage();
-
 ?>
Index: /extensions/lmt/admin/plugin_admin_manageaut.tpl
===================================================================
--- /extensions/lmt/admin/plugin_admin_manageaut.tpl	(revision 10973)
+++ /extensions/lmt/admin/plugin_admin_manageaut.tpl	(revision 10974)
Index: /extensions/lmt/lmt_aip.class.inc.php
===================================================================
--- /extensions/lmt/lmt_aip.class.inc.php	(revision 10973)
+++ /extensions/lmt/lmt_aip.class.inc.php	(revision 10974)
@@ -19,4 +19,5 @@
 include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCRequestBuilder.class.inc.php');
 include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/genericjs.class.inc.php');
+include_once(PHPWG_PLUGINS_PATH.'GrumPluginClasses/classes/GPCPagesNavigation.class.inc.php');
 include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
 
@@ -548,4 +549,5 @@
     }
 
+
     /* ------------------------------------------------------------------------
      * Add an author
@@ -791,5 +793,4 @@
   --------------------------------------------------------------------------- */
 
-
 } //class
 
Index: /extensions/lmt/lmt_install.class.inc.php
===================================================================
--- /extensions/lmt/lmt_install.class.inc.php	(revision 10973)
+++ /extensions/lmt/lmt_install.class.inc.php	(revision 10974)
@@ -76,4 +76,5 @@
     }
 
+
     /*
         function for uninstall process
@@ -105,4 +106,5 @@
       GPCRequestBuilder::unregister($this->getPluginName());
     }
+
   } //class
 
Index: /extensions/lmt/lmt_root.class.inc.php
===================================================================
--- /extensions/lmt/lmt_root.class.inc.php	(revision 10973)
+++ /extensions/lmt/lmt_root.class.inc.php	(revision 10974)
@@ -215,5 +215,4 @@
   }
 
-
   protected function displayResult($action_msg, $result)
   {
Index: /extensions/lmt/lmt_version.inc.php
===================================================================
--- /extensions/lmt/lmt_version.inc.php	(revision 10973)
+++ /extensions/lmt/lmt_version.inc.php	(revision 10974)
@@ -17,4 +17,4 @@
   define('LMT_VERSION',  '1.3.0');
   define('LMT_VERSION2', '01.03.00');
-  define('LMT_GPC_NEEDED', '3.3.3');
+  define('LMT_GPC_NEEDED', '3.5.1');
 ?>
Index: /extensions/lmt/main.inc.php
===================================================================
--- /extensions/lmt/main.inc.php	(revision 10973)
+++ /extensions/lmt/main.inc.php	(revision 10974)
@@ -4,5 +4,5 @@
 Version: 1.3.0
 Description: Appliquer une licence sur ses photos / Apply a licence on photos
-Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=282
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=282
 Author: grum@piwigo.org
 Author URI: http://photos.grum.fr
@@ -55,5 +55,5 @@
 |         |            |     on line 720
 |         |            |
-| 1.2.3   | 2010/07/24 | * mantis : feature 1439
+| 1.3.0   | 2011/05/21 | * mantis : feature 1439
 |         |            |   . Add an "ALT" property to the licence picture
 |         |            |     => the "TITLE" property was also added
@@ -63,8 +63,8 @@
 |         |            |   . slashes should be stripped when displaying author
 |         |            |     names
-|         |            |
-|         |            |
-|         |            |
-|         |            |
+|         |            | * mantis feature:
+|         |            |   . compatibility with piwigo 2.2
+|         |            | * mantis bug:1689
+|         |            |   . Add possibility to search picture by licence 
 |         |            |
 |         |            |
Index: /extensions/lmt/maintain.inc.php
===================================================================
--- /extensions/lmt/maintain.inc.php	(revision 10973)
+++ /extensions/lmt/maintain.inc.php	(revision 10974)
@@ -39,5 +39,4 @@
 }
 
-
 function gpcMsgError(&$errors)
 {
@@ -74,6 +73,4 @@
 }
 
-
-
 function plugin_activate($plugin_id, $plugin_version, &$errors)
 {
@@ -86,5 +83,4 @@
   }
 }
-
 
 function plugin_deactivate($plugin_id)
Index: /extensions/lmt/templates/lmt_dialog_licence_choose.tpl
===================================================================
--- /extensions/lmt/templates/lmt_dialog_licence_choose.tpl	(revision 10973)
+++ /extensions/lmt/templates/lmt_dialog_licence_choose.tpl	(revision 10974)
@@ -1,5 +1,5 @@
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js"}
-{known_script id="jquery.ui.dialog" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.dialog.packed.js"}
-
+{combine_script id="jquery" path="themes/default/js/jquery.min.js"}
+{combine_script id="jquery.ui" path="themes/default/js/ui/minified/jquery.ui.core.min.js"}
+{combine_script id="jquery.ui.dialog" path="themes/default/js/ui/minified/jquery.ui.dialog.min.js"}
 
 {literal}