Index: /extensions/Admin_Messages/admin.php
===================================================================
--- /extensions/Admin_Messages/admin.php	(revision 10981)
+++ /extensions/Admin_Messages/admin.php	(revision 10982)
@@ -18,5 +18,5 @@
 $tabsheet->add('new', l10n('AM_new_tab'), AM_ADMIN . '-new'); 			// Ajouter un nouveau message
 if ($page['tab'] == 'edit' AND isset($_GET['message_id'])) { 			// Editer le message
-	$tabsheet->add('edit', l10n('AM_edit_tab'), CR_ADMIN . '-edit&amp;message_id=' . $_GET['message_id']);
+	$tabsheet->add('edit', l10n('AM_edit_tab'), AM_ADMIN . '-edit&amp;message_id=' . $_GET['message_id']);
 }
 $tabsheet->add('config', l10n('Configuration'), AM_ADMIN . '-config'); 	// Configuration
@@ -29,5 +29,4 @@
 // +-----------------------------------------------------------------------+
 $template->assign(array(
-	'AM_VERSION' => AM_NAME . ' ' . AM_VERSION,
 	'AM_PATH' => AM_PATH,
 	'AM_ADMIN' => AM_ADMIN,
Index: /extensions/Admin_Messages/admin/config.php
===================================================================
--- /extensions/Admin_Messages/admin/config.php	(revision 10981)
+++ /extensions/Admin_Messages/admin/config.php	(revision 10982)
@@ -11,6 +11,6 @@
 	);
 	
-	pwg_query("UPDATE " . CONFIG_TABLE . " SET `value` = '" . serialize($user_config) . "' WHERE `param` = 'admin_messages';");
-	$page['infos'][] = l10n('Information data registered in database');
+  conf_update_param('admin_messages', serialize($user_config));
+	array_push($page['infos'], l10n('Information data registered in database'));
 }
 
Index: /extensions/Admin_Messages/admin/list.php
===================================================================
--- /extensions/Admin_Messages/admin/list.php	(revision 10981)
+++ /extensions/Admin_Messages/admin/list.php	(revision 10982)
@@ -10,5 +10,5 @@
 		redirect(get_root_url() . 'admin.php#messages');
 	else
-		$page['infos'][] = l10n('AM_message_deleted');
+		array_push($page['infos'], l10n('AM_message_deleted'));
 		
 }
Index: /extensions/Admin_Messages/admin/template/config.tpl
===================================================================
--- /extensions/Admin_Messages/admin/template/config.tpl	(revision 10981)
+++ /extensions/Admin_Messages/admin/template/config.tpl	(revision 10982)
@@ -1,5 +1,5 @@
 {combine_css path=$AM_PATH|@cat:'admin/template/style.css'}
 
-<h2 class="version_title">{$AM_VERSION}</h2>
+<h2 class="version_title">Admin Messages</h2>
 
 <div class="titrePage">
Index: /extensions/Admin_Messages/admin/template/list.tpl
===================================================================
--- /extensions/Admin_Messages/admin/template/list.tpl	(revision 10981)
+++ /extensions/Admin_Messages/admin/template/list.tpl	(revision 10982)
@@ -1,5 +1,5 @@
 {combine_css path=$AM_PATH|@cat:'admin/template/style.css'}
 
-<h2 class="version_title">{$AM_VERSION}</h2>
+<h2 class="version_title">Admin Messages</h2>
 
 <div class="titrePage">
Index: /extensions/Admin_Messages/admin/template/new.tpl
===================================================================
--- /extensions/Admin_Messages/admin/template/new.tpl	(revision 10981)
+++ /extensions/Admin_Messages/admin/template/new.tpl	(revision 10982)
@@ -2,5 +2,5 @@
 {include file='include/autosize.inc.tpl'}
 
-<h2 class="version_title">{$AM_VERSION}</h2>
+<h2 class="version_title">Admin Messages</h2>
 
 <div class="titrePage">
Index: /extensions/Admin_Messages/main.inc.php
===================================================================
--- /extensions/Admin_Messages/main.inc.php	(revision 10981)
+++ /extensions/Admin_Messages/main.inc.php	(revision 10982)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Admin Messages
-Version: 1.2
+Version: auto
 Description: Allows administrators to leave messages on the main admin page.
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=505
@@ -19,6 +19,4 @@
 define('AM_PATH' , PHPWG_PLUGINS_PATH . AM_DIR . '/');
 define('AM_TABLE', $prefixeTable .'admin_messages');
-define('AM_NAME' , 'Admin Messages');
-define('AM_VERSION', '1.2');
 define('AM_ADMIN', get_root_url() . 'admin.php?page=plugin-' . AM_DIR);
 
@@ -37,5 +35,5 @@
 function AM_admin_menu($menu) {
 	array_push($menu, array(
-		'NAME' => AM_NAME,
+		'NAME' => 'Admin Messages',
 		'URL' => AM_ADMIN
 	));