Index: extensions/photoWidget/CHANGELOG
===================================================================
--- extensions/photoWidget/CHANGELOG	(revision 10912)
+++ extensions/photoWidget/CHANGELOG	(revision 10988)
@@ -1,9 +1,15 @@
+photoWidget 0.3.0 - 2011-05-22
+================================
+* Make plugin compatible with piwigo 2.2
+* Add pl_PL, thanks to Ortolan
+* Add ar_AR, thanks to bakir
+
 photoWidget 0.2.6 - 2011-03-02
 ================================
-* add sk_SK, thanks to dodo
+* Add sk_SK, thanks to dodo
 
 photoWidget 0.2.5 - 2011-01-27
 ================================
-* add no_NO (Norwegian) thanks to atlew
+* Add no_NO (Norwegian) thanks to atlew
 
 photoWidget 0.2.4 - 2010-11-23
Index: extensions/photoWidget/MANIFEST
===================================================================
--- extensions/photoWidget/MANIFEST	(revision 10912)
+++ extensions/photoWidget/MANIFEST	(revision 10988)
@@ -1,75 +1,78 @@
-photoWidget/CREDITS
+photoWidget/js/colorpicker.js
+photoWidget/include/photoWidgetContent.class.php
+photoWidget/include/photoWidgetConfig.class.php
+photoWidget/maintain.inc.php
 photoWidget/MANIFEST
-photoWidget/maintain.inc.php
-photoWidget/rsync_exclude.txt
-photoWidget/template/animation.tpl
-photoWidget/template/liste.xml
-photoWidget/template/admin.tpl
-photoWidget/js/colorpicker.js
+photoWidget/init.php
 photoWidget/main.inc.php
-photoWidget/default_values.inc.php
+photoWidget/COPYING
+photoWidget/language/es_ES/plugin.lang.php
+photoWidget/language/es_ES/index.php
+photoWidget/language/es_ES/description.txt
+photoWidget/language/en_UK/plugin.lang.php
+photoWidget/language/en_UK/index.php
+photoWidget/language/en_UK/description.txt
+photoWidget/language/de_DE/plugin.lang.php
+photoWidget/language/de_DE/index.php
+photoWidget/language/de_DE/description.txt
+photoWidget/language/lv_LV/plugin.lang.php
+photoWidget/language/lv_LV/index.php
+photoWidget/language/lv_LV/description.txt
+photoWidget/language/ru_RU/plugin.lang.php
+photoWidget/language/ru_RU/index.php
+photoWidget/language/ru_RU/description.txt
+photoWidget/language/tr_TR/plugin.lang.php
+photoWidget/language/tr_TR/index.php
+photoWidget/language/tr_TR/description.txt
+photoWidget/language/nl_NL/plugin.lang.php
+photoWidget/language/nl_NL/index.php
+photoWidget/language/nl_NL/description.txt
+photoWidget/language/cs_CZ/plugin.lang.php
+photoWidget/language/cs_CZ/index.php
+photoWidget/language/cs_CZ/description.txt
+photoWidget/language/no_NO/plugin.lang.php
+photoWidget/language/no_NO/index.php
+photoWidget/language/no_NO/description.txt
+photoWidget/language/pl_PL/plugin.lang.php
+photoWidget/language/pl_PL/index.php
+photoWidget/language/pl_PL/description.txt
+photoWidget/language/sk_SK/plugin.lang.php
+photoWidget/language/sk_SK/index.php
+photoWidget/language/sk_SK/description.txt
+photoWidget/language/it_IT/plugin.lang.php
+photoWidget/language/it_IT/index.php
+photoWidget/language/it_IT/description.txt
+photoWidget/language/hu_HU/plugin.lang.php
+photoWidget/language/hu_HU/index.php
+photoWidget/language/hu_HU/description.txt
+photoWidget/language/ar_SA/plugin.lang.php
+photoWidget/language/ar_SA/index.php
+photoWidget/language/ar_SA/description.txt
+photoWidget/language/fr_FR/plugin.lang.php
 photoWidget/language/fr_FR/index.php
 photoWidget/language/fr_FR/description.txt
-photoWidget/language/fr_FR/plugin.lang.php
-photoWidget/language/nl_NL/index.php
-photoWidget/language/nl_NL/description.txt
-photoWidget/language/nl_NL/plugin.lang.php
-photoWidget/language/tr_TR/index.php
-photoWidget/language/tr_TR/description.txt
-photoWidget/language/tr_TR/plugin.lang.php
-photoWidget/language/de_DE/index.php
-photoWidget/language/de_DE/description.txt
-photoWidget/language/de_DE/plugin.lang.php
-photoWidget/language/no_NO/index.php
-photoWidget/language/no_NO/description.txt
-photoWidget/language/no_NO/plugin.lang.php
+photoWidget/language/templates/plugin.lang.php
 photoWidget/language/templates/index.php
-photoWidget/language/templates/plugin.lang.php
-photoWidget/language/en_UK/index.php
-photoWidget/language/en_UK/description.txt
-photoWidget/language/en_UK/plugin.lang.php
-photoWidget/language/sk_SK/index.php
-photoWidget/language/sk_SK/description.txt
-photoWidget/language/sk_SK/plugin.lang.php
-photoWidget/language/lv_LV/index.php
-photoWidget/language/lv_LV/description.txt
-photoWidget/language/lv_LV/plugin.lang.php
-photoWidget/language/it_IT/index.php
-photoWidget/language/it_IT/description.txt
-photoWidget/language/it_IT/plugin.lang.php
-photoWidget/language/es_ES/index.php
-photoWidget/language/es_ES/description.txt
-photoWidget/language/es_ES/plugin.lang.php
-photoWidget/language/cs_CZ/index.php
-photoWidget/language/cs_CZ/description.txt
-photoWidget/language/cs_CZ/plugin.lang.php
-photoWidget/language/ru_RU/index.php
-photoWidget/language/ru_RU/description.txt
-photoWidget/language/ru_RU/plugin.lang.php
-photoWidget/language/hu_HU/index.php
-photoWidget/language/hu_HU/description.txt
-photoWidget/language/hu_HU/plugin.lang.php
-photoWidget/CHANGELOG
-photoWidget/modele
-photoWidget/include/photoWidgetConfig.class.php
-photoWidget/include/photoWidgetContent.class.php
+photoWidget/css/admin.css
+photoWidget/css/imgs/colorpicker_overlay.png
+photoWidget/css/imgs/colorpicker_rgb_b.png
+photoWidget/css/imgs/colorpicker_indic.gif
+photoWidget/css/imgs/colorpicker_hsb_b.png
+photoWidget/css/imgs/colorpicker_submit.png
+photoWidget/css/imgs/colorpicker_hex.png
+photoWidget/css/imgs/colorpicker_select.gif
+photoWidget/css/imgs/colorpicker_rgb_r.png
+photoWidget/css/imgs/colorpicker_hsb_s.png
+photoWidget/css/imgs/colorpicker_rgb_g.png
+photoWidget/css/imgs/colorpicker_hsb_h.png
+photoWidget/css/imgs/colorpicker_background.png
+photoWidget/css/colorpicker.css
+photoWidget/public.php
 photoWidget/swf/photowidget.swf
 photoWidget/admin.php
-photoWidget/Makefile
-photoWidget/COPYING
-photoWidget/css/admin.css
-photoWidget/css/imgs/colorpicker_hex.png
-photoWidget/css/imgs/colorpicker_hsb_b.png
-photoWidget/css/imgs/colorpicker_rgb_g.png
-photoWidget/css/imgs/colorpicker_overlay.png
-photoWidget/css/imgs/colorpicker_rgb_b.png
-photoWidget/css/imgs/colorpicker_submit.png
-photoWidget/css/imgs/colorpicker_select.gif
-photoWidget/css/imgs/colorpicker_hsb_h.png
-photoWidget/css/imgs/colorpicker_indic.gif
-photoWidget/css/imgs/colorpicker_rgb_r.png
-photoWidget/css/imgs/colorpicker_hsb_s.png
-photoWidget/css/imgs/colorpicker_background.png
-photoWidget/css/colorpicker.css
-photoWidget/init.php
-photoWidget/public.php
+photoWidget/CREDITS
+photoWidget/CHANGELOG
+photoWidget/default_values.inc.php
+photoWidget/template/admin.tpl
+photoWidget/template/liste.xml
+photoWidget/template/animation.tpl
Index: extensions/photoWidget/admin.php
===================================================================
--- extensions/photoWidget/admin.php	(revision 10912)
+++ extensions/photoWidget/admin.php	(revision 10988)
@@ -3,5 +3,5 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -32,6 +32,5 @@
   if (isset($_POST['pw_all_categories'])) {
     if ($_POST['pw_all_categories']==1) {
-      array_push($GLOBALS['page']['infos'],
-                 l10n('You choose that mode for').' '.l10n('all categories'));
+      $page['infos'][] = l10n('You choose that mode for').' '.l10n('All categories');
       $me->pw_all_categories = 1;
       $me->pw_categories = array();
@@ -40,14 +39,13 @@
       if (isset($_POST['pw_categories'])) {
         if (count($_POST['pw_categories'])==1 && ($_POST['pw_categories'][0]=='__none__')) {
-          array_push($GLOBALS['page']['errors'],
-                     l10n('You must choose at least one category'));
+          $page['errors'][] = l10n('You must choose at least one category');
           $me->pw_categories = array();
           $save_config = true;      
         } else {
-          array_push($GLOBALS['page']['infos'],
-                     l10n('You choose that mode for').' '.
-                     l10n_dec('one category',
-                              'severals categories',
-                              count($_POST['pw_categories'])));
+	  $page['infos'][] = l10n('You choose that mode for').' '.
+	    l10n_dec('one category',
+		     'severals categories',
+		     count($_POST['pw_categories'])
+		     );
           $me->pw_all_categories = 0;
           $me->pw_categories = $_POST['pw_categories'];        
@@ -55,6 +53,5 @@
         }
       } else {
-        array_push($GLOBALS['page']['errors'],
-                   l10n('You must choose at least one category'));
+        $page['errors'][] = l10n('You must choose at least one category');
       }
     }
@@ -63,15 +60,15 @@
   if (!empty($_POST['pw_width']) && intval($_POST['pw_width'])!=$me->pw_width) {
     $me->pw_width = intval($_POST['pw_width']);
-    array_push($GLOBALS['page']['infos'], l10n('Width has been updated'));
+    $page['infos'][] = l10n('Width has been updated');
     $save_config = true;
   }
   if (!empty($_POST['pw_height']) && intval($_POST['pw_height'])!=$me->pw_height) {
     $me->pw_height = intval($_POST['pw_height']);
-    array_push($GLOBALS['page']['infos'], l10n('Height has been updated'));
+    $page['infos'][] = l10n('Height has been updated');
     $save_config = true;
   }
   if (!empty($_POST['pw_bgcolor']) && trim($_POST['pw_bgcolor'])!=$me->pw_bgcolor) {
     $me->pw_bgcolor = $_POST['pw_bgcolor'];
-    array_push($GLOBALS['page']['infos'], l10n('Background color of animation has been updated'));
+    $page['infos'][] = l10n('Background color of animation has been updated');
     $save_config = true;
   }
@@ -88,14 +85,14 @@
 $all_categories = simple_hash_from_query($query, 'id', 'name');
 
-$GLOBALS['template']->set_filenames(array('plugin_admin_content' => PW_TEMPLATE . '/admin.tpl'));
-$GLOBALS['template']->assign('PW_CAT_CHOICES', array(1 => l10n('Yes'), 0 => l10n('No')));
-$GLOBALS['template']->assign('ALL_CATEGORIES', $all_categories); 
-$GLOBALS['template']->assign('PW_CATEGORIES', $me->pw_categories);
-$GLOBALS['template']->assign('PW_ALL_CATEGORIES', $me->pw_all_categories);
-$GLOBALS['template']->assign('PWG_PHOTO_WIDGET_PLUGIN_CSS', PW_CSS);
-$GLOBALS['template']->assign('PWG_PHOTO_WIDGET_PLUGIN_JS', PW_JS);
-$GLOBALS['template']->assign('PW_BGCOLOR', $me->pw_bgcolor);
-$GLOBALS['template']->assign('PW_WIDTH', $me->pw_width); 
-$GLOBALS['template']->assign('PW_HEIGHT', $me->pw_height); 
-$GLOBALS['template']->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+$template->set_filenames(array('plugin_admin_content' => PW_TEMPLATE . '/admin.tpl'));
+$template->assign('PW_CAT_CHOICES', array(1 => l10n('Yes'), 0 => l10n('No')));
+$template->assign('ALL_CATEGORIES', $all_categories); 
+$template->assign('PW_CATEGORIES', $me->pw_categories);
+$template->assign('PW_ALL_CATEGORIES', $me->pw_all_categories);
+$template->assign('PWG_PHOTO_WIDGET_PLUGIN_CSS', PW_CSS);
+$template->assign('PWG_PHOTO_WIDGET_PLUGIN_JS', PW_JS);
+$template->assign('PW_BGCOLOR', $me->pw_bgcolor);
+$template->assign('PW_WIDTH', $me->pw_width); 
+$template->assign('PW_HEIGHT', $me->pw_height); 
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
 ?>
Index: extensions/photoWidget/language/en_UK/plugin.lang.php
===================================================================
--- extensions/photoWidget/language/en_UK/plugin.lang.php	(revision 10912)
+++ extensions/photoWidget/language/en_UK/plugin.lang.php	(revision 10988)
@@ -3,5 +3,5 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -20,19 +20,8 @@
 // +-----------------------------------------------------------------------+
 
-$lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.';
-$lang['You can choose that mode for displaying one, severals or all categories'] = 'You can choose that mode for displaying one, severals or all categories';
-$lang['Main configuration'] = 'Main configuration';
-$lang['All categories'] = 'All categories';
-$lang['Applicable categorie(s)'] = 'Applicable categorie(s)';
-$lang['Animation size'] = 'Animation size';
-$lang['Animation background color'] = 'Animation background color';
-$lang['Color'] = 'Color';
-$lang['You choose that mode for'] = 'You choose that mode for';
-$lang['one category'] = 'one category';
-$lang['all categories'] = 'all categories';
-$lang['severals categories'] = 'severals categories';
-$lang['Width has been updated'] = 'Width has been updated';
-$lang['Height has been updated'] = 'Height has been updated';
-$lang['Background color of animation has been updated'] = 'Background color of animation has been updated';
-$lang['This widget requires Flash Player 9 or better'] = 'This widget requires Flash Player 9 or better';
+/* 
+ * The purpose of that file is to provide a way to overwrite 
+ * default translation.
+ * See language/templates/plugin.lang.php for available keys
+ */
 ?>
Index: extensions/photoWidget/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/photoWidget/language/fr_FR/plugin.lang.php	(revision 10912)
+++ extensions/photoWidget/language/fr_FR/plugin.lang.php	(revision 10988)
@@ -3,5 +3,5 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -20,19 +20,25 @@
 // +-----------------------------------------------------------------------+
 
+// admin
+$lang['All categories'] = 'Toutes les catégories';
+$lang['Animation background color'] = 'Couleur de fond de l\'animation';
+$lang['Animation size'] = 'Taille de l\'animation';
+$lang['Applicable categorie(s)'] = 'Choix de catégorie(s)';
+$lang['Background color of animation has been updated'] = 'La couleur de fond a été mise à jour';
+$lang['Color'] = 'Couleur';
+$lang['Height'] = 'Hauteur';
+$lang['Height has been updated'] = 'La hauteur a été mise à jour';
+$lang['Main configuration'] = 'Configuration générale';
+$lang['one category'] = 'une catégorie';
+$lang['severals categories'] = 'plusieurs catégories';
 $lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = 'Ce plugin affiche les imagettes sous la forme d\'une animation flash en 3D.';
+$lang['Width'] = 'Largeur';
+$lang['Width has been updated'] = 'La largeur a été mise à jour';
+$lang['You choose that mode for'] = 'Vous avez choisi ce mode d\'affichage pour';
 $lang['You can choose that mode for displaying one, severals or all categories'] = 'Vous pouvez choisir ce mode d\'affichage pour une, plusieurs ou toutes les catégories';
-$lang['Main configuration'] = 'Configuration générale';
-$lang['All categories'] = 'Toutes les catégories';
-$lang['Applicable categorie(s)'] = 'Choix de catégorie(s)';
-$lang['Animation size'] = 'Taille de l\'animation';
-$lang['Animation background color'] = 'Couleur de fond de l\'animation';
-$lang['Color'] = 'Couleur';
-$lang['You choose that mode for'] = 'Vous avez choisi ce mode d\'affichage pour';
-$lang['one category'] = 'une catégorie';
-$lang['all categories'] = 'toutes les catégories';
 $lang['severals categories'] = 'plusieurs catégories';
-$lang['Width has been updated'] = 'La largeur a été mise à jour';
-$lang['Height has been updated'] = 'La hauteur a été mise à jour';
-$lang['Background color of animation has been updated'] = 'La couleur de fond a été mise à jour';
+$lang['You must choose at least one category'] = 'Vous devez choisir au moins une catégorie';
+
+// public
 $lang['This widget requires Flash Player 9 or better'] = 'Ce mode d\'affichage nécessite flash 9 au minimum'; 
 ?>
Index: extensions/photoWidget/language/templates/plugin.lang.php
===================================================================
--- extensions/photoWidget/language/templates/plugin.lang.php	(revision 10912)
+++ extensions/photoWidget/language/templates/plugin.lang.php	(revision 10988)
@@ -3,5 +3,5 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -20,19 +20,28 @@
 // +-----------------------------------------------------------------------+
 
+// admin
+$lang['All categories'] = '';
+$lang['Animation background color'] = '';
+$lang['Animation size'] = '';
+$lang['Applicable categorie(s)'] = '';
+$lang['Background color of animation has been updated'] = '';
+$lang['Color'] = '';
+$lang['Height'] = '';
+$lang['Height has been updated'] = '';
+$lang['Main configuration'] = '';
+$lang['No'] = '';
+$lang['one category'] = '';
+$lang['Photo Widget Plugin'] = '';
+$lang['severals categories'] = '';
+$lang['Submit'] = '';
 $lang['That plugin display pictures using a flash movie that rotates them in 3D. It works like regulars categories but in a more amazing and exciting way.'] = '';
+$lang['Width'] = '';
+$lang['Width has been updated'] = '';
+$lang['Yes'] = '';
 $lang['You can choose that mode for displaying one, severals or all categories'] = '';
-$lang['Main configuration'] = '';
-$lang['All categories'] = '';
-$lang['Applicable categorie(s)'] = '';
-$lang['Animation size'] = '';
-$lang['Animation background color'] = '';
-$lang['Color'] = '';
 $lang['You choose that mode for'] = '';
-$lang['one category'] = '';
-$lang['all categories'] = '';
-$lang['severals categories'] = '';
-$lang['Width has been updated'] = '';
-$lang['Height has been updated'] = '';
-$lang['Background color of animation has been updated'] = '';
+$lang['You must choose at least one category'] = '';
+
+// public
 $lang['This widget requires Flash Player 9 or better'] = '';
 ?>
Index: extensions/photoWidget/main.inc.php
===================================================================
--- extensions/photoWidget/main.inc.php	(revision 10912)
+++ extensions/photoWidget/main.inc.php	(revision 10988)
@@ -22,5 +22,5 @@
 /*
 Plugin Name: photoWidget
-Version: 0.2.6
+Version: 0.3.0
 Description: add an amazing 3D animation for pictures
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=370
Index: extensions/photoWidget/maintain.inc.php
===================================================================
--- extensions/photoWidget/maintain.inc.php	(revision 10912)
+++ extensions/photoWidget/maintain.inc.php	(revision 10988)
@@ -3,5 +3,5 @@
 // | photoWidget  - a plugin for Piwigo                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2010 Nicolas Roudaire             http://www.nikrou.net  |
+// | Copyright(C) 2010-2011 Nicolas Roudaire        http://www.nikrou.net  |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -36,5 +36,7 @@
   $config_file = $GLOBALS['conf']['local_data_dir'].'/plugins/';
   $config_file .= basename(dirname(__FILE__)).'.dat';
-  unlink($config_file);
+  if (file_exists($config_file)) {
+    unlink($config_file);
+  }
 }
 ?>
Index: extensions/photoWidget/template/admin.tpl
===================================================================
--- extensions/photoWidget/template/admin.tpl	(revision 10912)
+++ extensions/photoWidget/template/admin.tpl	(revision 10988)
@@ -1,9 +1,9 @@
-{html_head} 
-<link rel="stylesheet" type="text/css" href="{$PWG_PHOTO_WIDGET_PLUGIN_CSS}/admin.css">
-<link rel="stylesheet" type="text/css" href="{$PWG_PHOTO_WIDGET_PLUGIN_CSS}/colorpicker.css">
-{known_script id="jquery" src=$ROOT_URL|cat:"themes/default/js/jquery.packed.js"}
-{known_script id="colorpicker" src="$PWG_PHOTO_WIDGET_PLUGIN_JS/colorpicker.js"}
+{combine_css path="$PWG_PHOTO_WIDGET_PLUGIN_CSS/admin.css"}
+{combine_css path="$PWG_PHOTO_WIDGET_PLUGIN_CSS/colorpicker.css"}
+
+{combine_script id="colorpicker" require="jquery" path="$PWG_PHOTO_WIDGET_PLUGIN_JS/colorpicker.js"}
+
+{footer_script require="colorpicker"} 
 {literal}
-<script type="text/javascript">
 $(function() {
 $('input[name=pw_all_categories]').change(function() {
@@ -35,7 +35,6 @@
 });
 });
-</script>
 {/literal}
-{/html_head}
+{/footer_script}
 
 <div class="titrePage">
@@ -53,11 +52,11 @@
 <form method="post" action="" class="general">
 <fieldset>
-  <legend>{'Main configuration'|translate}</legend>
-  <p class="field radio"><span>{'All categories'|translate} ?</span>
+  <legend>{'Main configuration'|@translate}</legend>
+  <p class="field radio"><span>{'All categories'|@translate} ?</span>
     {html_radios name="pw_all_categories" options=$PW_CAT_CHOICES selected=$PW_ALL_CATEGORIES}
   </p>
 
   <p class="field pw-categories{if $PW_ALL_CATEGORIES==1} hide{/if}" id="pw-select-categories">
-    <label>{'Applicable categorie(s)'|translate}</label>
+    <label>{'Applicable categorie(s)'|@translate}</label>
     <select name="pw_categories[]" multiple="multiple" size="{$pw_categories|@count|@max:3}">
       <option value="__none__"></option>