Index: /extensions/pwgCumulus/language/sv_SE/description.txt
===================================================================
--- /extensions/pwgCumulus/language/sv_SE/description.txt	(revision 10990)
+++ /extensions/pwgCumulus/language/sv_SE/description.txt	(revision 10990)
@@ -0,0 +1,1 @@
+lägg till ett läckert sökmoln
Index: /extensions/pwgCumulus/language/sv_SE/index.php
===================================================================
--- /extensions/pwgCumulus/language/sv_SE/index.php	(revision 10990)
+++ /extensions/pwgCumulus/language/sv_SE/index.php	(revision 10990)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2010 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/pwgCumulus/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/pwgCumulus/language/sv_SE/plugin.lang.php	(revision 10990)
+++ /extensions/pwgCumulus/language/sv_SE/plugin.lang.php	(revision 10990)
@@ -0,0 +1,42 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | pwgCumulus  - a plugin for Piwigo                                     |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2009-2011 Nicolas Roudaire        http://www.nikrou.net  |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License version 2 as     |
+// | published by  the Free Software Foundation                            |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,            |
+// | MA 02110-1301 USA                                                     |
+// +-----------------------------------------------------------------------+
+
+$lang['Cumulus Tags Cloud Plugin'] = "Cumulus Sökmoln Plugin";
+$lang['That plugin display tags using a flash movie that rotates them in 3D. It works like a regular tags cloud but in a more amazing and exciting way.'] = "Denna plugin visar sökord med hjälp av en flash film som roterar dem i 3D. Det fungerar som ett vanligt sökmoln men på ett läckrare sätt..";
+$lang['You can choose that mode for tags default display mode by adding (or changing) in the configuration file'] = "Du kan välja det läge som är standard genom att ändra/lägga till i  konfigurationsfilen";
+$lang['Animation width and height'] = "Animeringens bredd och höjd";
+$lang['Width'] = "Bredd";
+$lang['Height'] = "Höjd";
+$lang['Tags size'] = "Sökmolmets storlek";
+$lang['Coefficient'] = "Koefficient";
+$lang['Width updated'] = "Bredd uppdaterad";
+$lang['Height updated'] = "Höjd uppdaterad";
+$lang['Coefficient for tags size updated'] = "Koefficient för sökmolnets storlek uppdaterad";
+$lang['Show tag cloud in cumulus mode'] = "Visa sökmoln i cumulusläge";
+$lang['Animation colors'] = "Animationens färger";
+$lang['Color 1'] = "Färg 1";
+$lang['Color 2'] = "Färg 2";
+$lang['Mouseover color'] = "Mouseover färg";
+$lang['Color 1 updated'] = "Färg 1 är uppdaterad";
+$lang['Color 2 updated'] = "Färg 2 är uppdaterad";
+$lang['Mouseover color updated'] = "Mouseover färg är uppdaterad";
+
+?>