Index: /extensions/pwgCumulus/CHANGELOG
===================================================================
--- /extensions/pwgCumulus/CHANGELOG	(revision 10990)
+++ /extensions/pwgCumulus/CHANGELOG	(revision 10991)
@@ -1,2 +1,6 @@
+pwgCumulus 0.5.1 - 2011-05-22
+================================
+* Add sv_SE thanks to berraw
+
 pwgCumulus 0.5.0 - 2011-05-20
 ================================
Index: /extensions/pwgCumulus/MANIFEST
===================================================================
--- /extensions/pwgCumulus/MANIFEST	(revision 10990)
+++ /extensions/pwgCumulus/MANIFEST	(revision 10991)
@@ -43,4 +43,7 @@
 pwgCumulus/language/it_IT/index.php
 pwgCumulus/language/it_IT/description.txt
+pwgCumulus/language/sv_SE/plugin.lang.php
+pwgCumulus/language/sv_SE/index.php
+pwgCumulus/language/sv_SE/description.txt
 pwgCumulus/language/hu_HU/plugin.lang.php
 pwgCumulus/language/hu_HU/index.php
@@ -69,5 +72,4 @@
 pwgCumulus/css/colorpicker.css
 pwgCumulus/public.php
-pwgCumulus/modele
 pwgCumulus/swf/tagcloud.swf
 pwgCumulus/admin.php
Index: /extensions/pwgCumulus/main.inc.php
===================================================================
--- /extensions/pwgCumulus/main.inc.php	(revision 10990)
+++ /extensions/pwgCumulus/main.inc.php	(revision 10991)
@@ -22,5 +22,5 @@
 /*
 Plugin Name: pwgCumulus
-Version: 0.5.0
+Version: 0.5.1
 Description: add an amazing tag cloud
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=263
Index: /extensions/pwgCumulus/template/admin.tpl
===================================================================
--- /extensions/pwgCumulus/template/admin.tpl	(revision 10990)
+++ /extensions/pwgCumulus/template/admin.tpl	(revision 10991)
@@ -46,46 +46,46 @@
 
 <form method="post" action="" class="general">
-<fieldset>
-  <legend>{'Animation width and height'|@translate}</legend>
-  <p class="field">
-    <label>{'Width'|@translate}
-      <input type="text" name="pwg_cumulus_width" value="{$PWG_CUMULUS_WIDTH}">
-    </label>
-  </p>
-  <p class="field">
-    <label>{'Height'|@translate}
+  <fieldset>
+    <legend>{'Animation width and height'|@translate}</legend>
+    <p class="field">
+      <label>{'Width'|@translate}
+	<input type="text" name="pwg_cumulus_width" value="{$PWG_CUMULUS_WIDTH}">
+      </label>
+    </p>
+    <p class="field">
+      <label>{'Height'|@translate}
       <input type="text" name="pwg_cumulus_height" value="{$PWG_CUMULUS_HEIGHT}">
-    </label>
-  </p>
-</fieldset>
-
-<fieldset>
-  <legend>{'Tags size'|@translate}</legend>
-  <p class="field">
-    <label>{'Coefficient'|@translate}
-      <input type="text" name="pwg_cumulus_coeff" value="{$PWG_CUMULUS_COEFF}">
-    </label>      
-  </p>
-</fieldset>
-
-<fieldset>
-  <legend>{'Animation colors'|@translate}</legend>
-  <div id="picker" style="float: right;"></div>
-  <p class="field">
-    <label>{'Color 1'|@translate}
-      <input class="pwg-picker" type="text" name="pwg_cumulus_color1" value="{$PWG_CUMULUS_COLOR1}">
-    </label>      
-  </p>
-  <p class="field">
+      </label>
+    </p>
+  </fieldset>
+  
+  <fieldset>
+    <legend>{'Tags size'|@translate}</legend>
+    <p class="field">
+      <label>{'Coefficient'|@translate}
+	<input type="text" name="pwg_cumulus_coeff" value="{$PWG_CUMULUS_COEFF}">
+      </label>      
+    </p>
+  </fieldset>
+  
+  <fieldset>
+    <legend>{'Animation colors'|@translate}</legend>
+    <div id="picker" style="float: right;"></div>
+    <p class="field">
+      <label>{'Color 1'|@translate}
+	<input class="pwg-picker" type="text" name="pwg_cumulus_color1" value="{$PWG_CUMULUS_COLOR1}">
+      </label>      
+    </p>
+    <p class="field">
     <label>{'Color 2'|@translate}
       <input class="pwg-picker" type="text" name="pwg_cumulus_color2" value="{$PWG_CUMULUS_COLOR2}">
     </label>      
-  </p>
-  <p class="field">
-    <label>{'Mouseover color'|@translate}
-      <input class="pwg-picker" type="text" name="pwg_cumulus_hicolor" value="{$PWG_CUMULUS_HICOLOR}">
-    </label>      
-  </p>
-</fieldset>
-<p><input class="submit" type="submit" name="submit" value="{'Submit'|@translate}"></p>
+    </p>
+    <p class="field">
+      <label>{'Mouseover color'|@translate}
+	<input class="pwg-picker" type="text" name="pwg_cumulus_hicolor" value="{$PWG_CUMULUS_HICOLOR}">
+      </label>      
+    </p>
+  </fieldset>
+  <p><input class="submit" type="submit" name="submit" value="{'Submit'|@translate}"></p>
 </form>