Index: /extensions/Wall/icon/index.php
===================================================================
--- /extensions/Wall/icon/index.php	(revision 10994)
+++ /extensions/Wall/icon/index.php	(revision 10994)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Wall/index.php
===================================================================
--- /extensions/Wall/index.php	(revision 10994)
+++ /extensions/Wall/index.php	(revision 10994)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 1912 2007-03-16 06:30:07Z rub $
+// | last update   : $Date: 2007-03-16 07:30:07 +0100 (ven, 16 mar 2007) $
+// | last modifier : $Author: rub $
+// | revision      : $Revision: 1912 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Wall/theme.css
===================================================================
--- /extensions/Wall/theme.css	(revision 10994)
+++ /extensions/Wall/theme.css	(revision 10994)
@@ -0,0 +1,407 @@
+/* -----------------------------------------------------------------------------
+  GRUM:DARK-II
+  Theme for Piwigo
+  ------------------------------------------------------------------------------
+  file: grum-dark II/theme.css
+  file version: 1.0
+  date: 2008-07-12
+  ------------------------------------------------------------------------------
+  author: grum at grum.dnsalias.com
+  << May the Little SpaceFrog be with you >>
+----------------------------------------------------------------------------- */
+
+/* text color */
+BODY, H1, H3, DT,
+INPUT.rateButtonSelected /* <= why IE doesn't inherit this ? */ {
+  color:#dedede;
+}
+
+#content {
+  text-align:justify;
+}
+
+H2, #menubar DT, .throw {
+  background-image:url(Images/tableh1_bg.png); /* gris tres clair color:#dedede;  */}
+
+#content .navigationBar {
+  color: #aaaaaa;
+  padding:0px;
+  margin:0px;
+  display:block;
+  background-color:#303030;
+  font-size:90%;
+}
+#content .pageNumberSelected {
+  color: #000000;
+}
+
+.tabsheet li,
+.tabsheet li a { color: #fff; }
+.tabsheet li a:hover { color: #fff48e; }
+
+/* backgrounds */
+BODY {
+  background-image:url(Images/mur.jpg);
+}
+
+H3, #the_page, #imageToolBar A:hover, .row1  {
+    background: transparent;
+}
+
+#menubar DL, #content, #imageToolBar, .header_notes, .content 
+{
+  background: transparent;
+}
+
+H2, #menubar DT, .throw, #imageHeaderBar  {
+  /*background-image: url(images/tableh2_bg.png);*/
+  background-color: #303030;
+}
+
+
+
+#imageHeaderBar H2 {
+  background-image: none;
+  border: none;
+}
+
+/* #imageHeaderBar {
+  background-image: url(images/tableh2_bg.png);
+  background-repeat: repeat-x;
+  background-position: center;
+} */
+.tabsheet li { background-color: #3f3f3f; }
+
+.selected_tab { background-color: #5f5f5f !important; }
+
+/* borders */
+#menubar DL, #content, .content,
+#comments DIV.comment BLOCKQUOTE {
+  border: none;
+}
+
+#imageHeaderBar {
+  border-top: 1px solid #000000;
+}
+
+#menubar DL 
+{
+
+ margin-bottom:-1px;
+ border:1px solid #303030;
+background-image:url(Images/mur1.jpg)
+} 
+
+/* H2, #menubar DT, #imageToolBar {
+  border-bottom: 1px solid #000000;
+} */
+
+#theImage img {
+  border: 8px solid #FFFFFF;
+  margin-top: 10px;
+  margin-bottom: 10px;
+}
+
+
+
+FIELDSET, INPUT , SELECT, TEXTAREA,
+#content DIV.comment  A.illustration IMG, #infos {
+  border: 1px solid gray;
+}
+
+#content DIV.thumbnailCategory {
+    border: none;
+    border:  8px #808080  outset ;
+    background-image:url(Images/mur1.jpg)
+}
+
+FIELDSET :disabled, INPUT:disabled, SELECT:disabled, TEXTAREA:disabled
+{
+  color:#404040;
+  background-color:#808080;
+}
+
+#comments DIV.comment BLOCKQUOTE {
+  border-left: 15px solid #696969;
+  background-color: #404040;
+}
+
+
+
+#content UL.thumbnails SPAN.wrap2, .content .additional_info {
+  border: none; /* thumbnails border color and style */
+  -moz-border-radius: 8px;  /* round corners with Geko */
+  border-radius: 8px 8px; /* round corners with CSS3 compliant browsers */
+  background-image:url(Images/mur3.jpg);
+}
+
+#content UL.thumbnails LI SPAN.wrap1 SPAN.wrap2:hover {
+  border-color: none;   /* thumbnails border color when mouse cursor is over it */
+  background-image:url(Images/mur5.jpg);
+}
+
+
+ul.tabsheet { border-color: #fff48e; }
+.tabsheet li { border: 1px solid #fff; }
+.tabsheet li:hover { border-color: #fff48e !important; }
+
+/* links */
+A, INPUT.rateButton {
+    color: #FFFFFF;
+    background: transparent;
+  border: none;
+}
+
+A:hover {
+  color: #ffff80;
+  border: none;
+}
+
+#imageToolBar A, #imageToolBar A:hover,
+A.navThumb, A.navThumb:hover {
+  border-bottom: none;
+}
+
+
+/* others */
+#menubar ul, #menubar form, #menubar p {
+  text-align:left;
+}
+
+#menubar ul {
+  margin-left:8px;
+}
+
+.pleaseNote {
+  background: #9c9c9c;
+  color: #ffff99;
+  padding: 1ex;
+  font-weight: bold;
+}
+
+#menubar .menuInfoCatByChild, 
+#menubar .menuInfoCat {
+  font-size:80%;
+  font-style:normal;
+  position:relative;
+  top:-4px;
+}
+
+#imageHeaderBar {
+   background-image: none;
+}
+
+#the_page {
+  /* border: 0px solid #e0e0e0; 
+  padding-top: 5px;
+  padding-bottom:30px; */
+  text-align:center;
+  display:block;
+}
+
+#menubar p.totalImages {
+  text-align:right;
+  margin:2px;
+  font-size:80%
+}
+
+/*calendar elements*/
+SPAN.calItemEmpty { color: silver; }
+
+SPAN.calItem, SPAN.calItemEmpty
+{
+  border: 1px solid gray;
+}
+
+.virtual_cat { background: #3f3f3f !important; }
+.qsearch { font-size: 80%; font-style: normal; }
+#mbMenu #quicksearch > p { text-align: left; }
+
+
+/* button image in menu bar : no border */
+#menubar .button {
+  border: none;
+  margin:0px;
+  margin-top:-4px;
+  margin-bottom:-3px;
+  padding:0px;
+}
+#menubar dt {
+  text-align: left;
+  height:21px;
+}
+
+div.illustration img {
+  border: 2px #FFFFFF solid;
+}
+
+.thumbLink {
+  border:2px #FFFFFF solid;
+}
+
+.content ul.thumbnails img, #linkPrev img, #linkNext img {
+  border:1px #FFFFFF solid;
+}
+
+#content UL.thumbnail IMG {
+  border: 1px solid #a0a0a0;
+}
+
+#imageToolBar a {
+  width:30px;
+}
+
+form#quickconnect fieldset {
+  border:1px #101010 solid;
+}
+
+.rateButtonStarFull {
+  background: url('icon/rating-stars.png') no-repeat scroll; background-position:-16px center; width:16px;
+}
+
+.rateButtonStarEmpty {
+  background: url('icon/rating-stars.png') no-repeat scroll; background-position:0 center; width:16px;
+}
+
+.header_notes {
+  background-image:url(icon/note.png);
+}
+
+
+.content h2 {
+  margin-bottom:0px;
+}
+
+.content ul.thumbnails {
+  border:1px solid #303030;
+  margin:0pt;
+  padding:8px;
+}
+
+.content div.titrePage {
+  padding:0px;
+  margin:0px;
+  min-height:32px;
+  display:block;
+  background-color:#303030;
+}
+
+.description {
+  text-align:left;
+}
+
+
+#linkPrev img, #linkNext img {
+  margin:0px;
+  margin-top:20px;
+  padding:0px;
+}
+#linkPrev img {
+  margin-left:10px;
+}
+ #linkNext img {
+  margin-right:10px;
+}
+
+ul.categoryActions {
+  height:28px;
+  padding:2px;
+}
+
+#content .additional_info {
+  margin:20px 0px ;
+  padding:8px;
+}
+
+div.description div.text {
+  text-align:justify;
+}
+
+div.description div.text p {
+  padding-right:6px;
+  position:relative;
+  top:-6px;
+}
+
+div.description div.text p.Nb_images {
+  border-bottom:1px #303030 dotted;
+  font-style:italic;
+  font-size:85%;
+  text-align:right;
+}
+
+
+/* -----------------------------------------------------------------------------
+    Calendar
+----------------------------------------------------------------------------- */
+.content div.calendarViews {
+  margin-top:-22px;
+}
+
+/* month calendar */
+.calBackDate {
+  color: #000;
+  padding-left:10px;
+  padding-top:7px;
+}
+.calForeDate {
+  color: #fff;
+  padding-left:11px;
+  padding-top:6px;
+}
+
+td.calDayCellFull, td.calDayCellEmpty, td.calDayCellBlank
+{
+  font-size:18px;
+  font-weight:bold;
+  text-align:left;
+  vertical-align:top;
+}
+
+table.calMonth tbody td.calDayCellEmpty, table.calMonth tbody td.calDayCellBlank
+{
+  width:84px;
+  height:97px;
+}
+
+table.calMonth tbody td.calDayCellFull
+{
+  width:96px;
+  height:97px;
+}
+
+
+td.calDayCellEmpty {
+  padding-left:12px;
+  padding-top:7px;
+  color:#303030;
+}
+
+td.calDayCellEmpty, td.calDayCellFull {
+  border:1px solid #101010;
+}
+
+table.calMonth tbody td {
+  margin:8px;
+}
+
+table.calMonth tbody td div.calImg {
+  left:8px;
+  top:8px;
+}
+
+td.calDayHead {
+  font-size:14px;
+  padding-bottom:12px;
+  font-weight:normal;
+}
+
+/* lists */
+span.calItem, span.calItemEmpty {
+  display:inline-table;
+  margin:1px;
+  min-width:15px;
+  padding-left:2px;
+  padding-right:2px;
+}
+
Index: /extensions/Wall/themeconf.inc.php
===================================================================
--- /extensions/Wall/themeconf.inc.php	(revision 10994)
+++ /extensions/Wall/themeconf.inc.php	(revision 10994)
@@ -0,0 +1,16 @@
+<?php
+/*
+Theme Name: WallSixpo
+Version: auto
+Description: Wall
+Theme URI: http://fr.piwigo.org/ext/extension_view.php?eid=542
+Author: Sixpo
+Author URI: 
+*/
+
+$themeconf = array(
+  'theme' => 'WallSixpo',
+  'parent' => 'default',
+  'icon_dir' => 'themes/WallSixpo/icon',
+);
+?>