Index: extensions/LLGBO2/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 10946)
+++ extensions/LLGBO2/language/pl_PL/plugin.lang.php	(revision 11000)
@@ -9,10 +9,9 @@
 $lang['Howto'] = 'Ta wtyczka umożliwia zmianę prezentacji strony ze zdjęciami.';
 $lang['Step1_Title'] = 'Ustawienia wtyczki';
-/*TODO*/$lang['Step2_Title'] = 'Tooltip settings';
-/*TODO*/$lang['Step3_Title'] = 'Frame settings';
-/*TODO*/$lang['Step4_Title'] = 'Header  Display/Hide for each page';
+$lang['Step2_Title'] = 'Ustawienia podpowiedzi';
+$lang['Step3_Title'] = 'Ustawienia ramki';
 $lang['llgbo_tooltip']='Wyświetlaj okienko skrótu <br>(miniatury dostępne na przycisku) przy ruchu myszką :';
 $lang['llgbo_exifunderbt']='Wyświetlaj okienko skrótu <br>(dane EXIF dostępne na przycisku metadanych) przy ruchu myszką :';
-$lang['llgbo_frame']='Wyświetlaj białą ramkę wokół zdjęcia :';
+$lang['llgbo_frame'] = 'Zarządzanie ramką zdjęcia :';
 $lang['llgbo_header']='Nagłówek jest wyświetlany jedynie na pierwszej stronie :';
 $lang['llgbo_maintain_header']='Wyświetlaj nagłówek także na kolejnych stronach :';
@@ -22,67 +21,69 @@
 $lang['llgbo_title_frame'] = 'Wyświetl tytuł zdjęcia w ramce';
 $lang['llgbo_default_navthumb'] = 'Ukryj standardowe wyświetlanie poprzedniej/następnej miniatury:';
-/*TODO*/$lang['save'] = 'Save';
-/*TODO*/$lang['preview'] = 'Preview';
-/*TODO*/$lang['llgo_tooltip_width']= 'Define tooltip width';  
-/*TODO*/$lang['llgo_tooltip_size']= 'Define tooltip border width';  
-/*TODO*/$lang['llgbo_tooltip_bordercolor']= 'Define tooltip border color';
-/*TODO*/$lang['llgbo_tooltip_backgroundcolor']= 'Define tooltip background color';
-/*TODO*/$lang['llgbo_tooltip_titlecolor']= 'Define tooltip title color';
-/*TODO*/$lang['llgbo_tooltip_color']= 'Define tooltip text color';
-/*TODO*/$lang['llgo_global_setting']= 'Piwigo Picture page global settings';
-/*TODO*/$lang['llgo_tooltip_setting']= 'Tooltip title';
-/*TODO*/$lang['llgo_frame_setting']= 'Frame settings :' ;
-/*TODO*/$lang['llgbo_title_frame_color']= 'Title frame color';
-/*TODO*/$lang['llgbo_frame_bdcolor0']= 'Line 1 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor1']= 'Line 2 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor2']= 'Line 3 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor3']= 'Line 4 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor4']= 'Line 5 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor5']= 'Line 6 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor6']= 'Line 7 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor7']= 'Line 8 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor8']= 'Line 9 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor9']= 'Line 10 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor10']= 'Line 11 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor11']= 'Line 12 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor12']= 'Line 13 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor13']= 'Line 14 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor14']= 'Line 15 color : ';
-/*TODO*/$lang['llgbo_frame_bdcolor15']= 'Line 16 color : ';
-/*TODO*/$lang['llgbo_frame_bdsize']= 'size in px : ';
-/*TODO*/$lang['llgbo_M_frame'] = 'Frame management';
-/*TODO*/$lang['llgbo_M_tooltip'] = 'Tooltip management';
-/*TODO*/$lang['llgbo_M_manage'] = 'Global settings';
-/*TODO*/$lang['llgbo_samples'] = 'Samples : ';
-/*TODO*/$lang['llgbo_frame']='Manage frame around the picture :';$lang['Step4_Title'] = 'Header settings';
-/*TODO*/$lang['llgbo_header']='Manage display header ';
-/*TODO*/$lang['llgbo_M_header'] = 'Display Header management';
-/*TODO*/$lang['llgbo_header_home'] = 'Header display on Home page';
-/*TODO*/$lang['llgbo_header_category'] = 'Header display on Category page';
-/*TODO*/$lang['llgbo_header_category_filter_recent']= 'Header display on Category page :filter by recent';
-/*TODO*/$lang['llgbo_header_category_flat']= 'Header display on Category page option flat' ;
-/*TODO*/$lang['llgbo_header_category_posted_monthly']= 'Header display on Category page option calendar' ;
-/*TODO*/$lang['llgbo_header_picture']= 'Header display on Picture page' ;
-/*TODO*/$lang['llgbo_header_additional_page'] = 'Header display on Additional page';
-/*TODO*/$lang['llgbo_header_most_visited'] = 'Header display on Most visited page';
-/*TODO*/$lang['llgbo_header_best_rated'] = 'Header display on Best rated page';
-/*TODO*/$lang['llgbo_header_list']= 'Header display on Random pictures page';
-/*TODO*/$lang['llgbo_header_recent_pics']= 'Header display on Recents pictures page';
-/*TODO*/$lang['llgbo_header_created_monthly_calendar'] = 'Header display on Calendar page'; 
-/*TODO*/$lang['llgbo_header_tags']= 'Header display on Tags page'; 
-/*TODO*/$lang['llgbo_header_search']= 'Header display on Search page';
-/*TODO*/$lang['llgbo_header_comments']= 'Header display on Comments page';
-/*TODO*/$lang['llgbo_header_about']= 'Header display on About page';
-/*TODO*/$lang['llgbo_header_notification']= 'Header display on Notification page';
-/*TODO*/$lang['llgbo_header_register'] = 'Header display on Register page';
-/*TODO*/$lang['llgbo_header_identification']= 'Header display on identification page';
-/*TODO*/$lang['llgbo_header_favorites']= 'Header display on My Favorites page';
-/*TODO*/$lang['llgbo_header_recent_cats']= 'Header display on Recent category page';
-/*TODO*/$lang['llgbo_frame_sample']= 'Samples list ';
-/*TODO*/$lang['previewsamples']= 'Display this sample';
 $lang['llgbo_always_displayexif'] = 'Zawsze wyświetlaj metadane:' ;
-/* TODO */$lang['Reset_To_Default'] = 'Przywróć wartości domyślne';
-/*TODO*/$lang['llgo_warning_setting'] = 'To use with Gally themes, the plugin cl_conflit must be installed';
-/*TODO*/$lang['llgbo_hdShadowbox'] ='Compliance HD Shadowbox and navigation on picture';
-/*TODO*/$lang['llgbo_dispinshadowbox'] ='Display in shadowbox --> ';
+$lang['Reset_To_Default'] = 'Przywróć wartości domyślne';
+$lang['llgo_tooltip_setting'] = 'Tytuł podpowiedzi';
+$lang['llgbo_M_frame'] = 'Zarządzanie ramką';
+$lang['llgbo_M_tooltip'] = 'Zarządzanie podpowiedziami';
+$lang['llgbo_M_manage'] = 'Ustawienia globalne';
+$lang['llgbo_frame_sample'] = 'Lista próbek ';
+$lang['previewsamples'] = 'Wyświetlaj tą próbkę';
+$lang['llgbo_dispinshadowbox'] = 'Wyświetlaj w shadowboxie --> ';
+
+/*TODO*/
+$lang['Step4_Title'] = 'Display/hide the header of each page';
+$lang['save'] = 'Save';
+$lang['preview'] = 'Preview';
+$lang['llgo_tooltip_width'] = 'Tooltip width';
+$lang['llgo_tooltip_size'] = 'Tooltip border width';
+$lang['llgbo_tooltip_bordercolor'] = 'Tooltip border color';
+$lang['llgbo_tooltip_backgroundcolor'] = 'Tooltip background color';
+$lang['llgbo_tooltip_titlecolor'] = 'Tooltip title color';
+$lang['llgbo_tooltip_color'] = 'Tooltip text color';
+$lang['llgo_global_setting'] = 'Piwigo picture page global settings';
+$lang['llgo_frame_setting'] = 'Frame settings:';
+$lang['llgbo_title_frame_color'] = 'Color for the title displayed on frame';
+$lang['llgbo_frame_bdcolor0'] = 'Line 1 color: ';
+$lang['llgbo_frame_bdcolor1'] = 'Line 2 color: ';
+$lang['llgbo_frame_bdcolor2'] = 'Line 3 color: ';
+$lang['llgbo_frame_bdcolor3'] = 'Line 4 color: ';
+$lang['llgbo_frame_bdcolor4'] = 'Line 5 color: ';
+$lang['llgbo_frame_bdcolor5'] = 'Line 6 color: ';
+$lang['llgbo_frame_bdcolor6'] = 'Line 7 color: ';
+$lang['llgbo_frame_bdcolor7'] = 'Line 8 color: ';
+$lang['llgbo_frame_bdcolor8'] = 'Line 9 color: ';
+$lang['llgbo_frame_bdcolor9'] = 'Line 10 color:';
+$lang['llgbo_frame_bdcolor10'] = 'Line 11 color: ';
+$lang['llgbo_frame_bdcolor11'] = 'Line 12 color: ';
+$lang['llgbo_frame_bdcolor12'] = 'Line 13 color: ';
+$lang['llgbo_frame_bdcolor13'] = 'Line 14 color: ';
+$lang['llgbo_frame_bdcolor14'] = 'Line 15 color: ';
+$lang['llgbo_frame_bdcolor15'] = 'Line 16 color: ';
+$lang['llgbo_frame_bdsize'] = 'width:';
+$lang['llgbo_samples'] = 'Samples: ';
+$lang['llgbo_M_header'] = 'Header display management';
+$lang['llgbo_header_home'] = 'Display header on Home page';
+$lang['llgbo_header_category'] = 'Display header on Category page';
+$lang['llgbo_header_category_filter_recent'] = 'Display header on Category page (filter by recent)';
+$lang['llgbo_header_category_flat'] = 'Display header on Category page (option flat)';
+$lang['llgbo_header_category_posted_monthly'] = 'Display header on Category page option calendar';
+$lang['llgbo_header_picture'] = 'Display header on Picture page';
+$lang['llgbo_header_additional_page'] = 'Display header on Additional pages';
+$lang['llgbo_header_most_visited'] = 'Display header on Most visited page';
+$lang['llgbo_header_best_rated'] = 'Display header on Best rated page';
+$lang['llgbo_header_list'] = 'Display header on Random pictures page';
+$lang['llgbo_header_recent_pics'] = 'Display header on Recents pictures page';
+$lang['llgbo_header_created_monthly_calendar'] = 'Display header on Calendar page';
+$lang['llgbo_header_tags'] = 'Display header on Tags page';
+$lang['llgbo_header_search'] = 'Display header on Search page';
+$lang['llgbo_header_comments'] = 'Display header on Comments page';
+$lang['llgbo_header_about'] = 'Display header on About page';
+$lang['llgbo_header_notification'] = 'Display header on Notification page';
+$lang['llgbo_header_register'] = 'Display header on Register page';
+$lang['llgbo_header_identification'] = 'Display header on identification page';
+$lang['llgbo_header_favorites'] = 'Display header on My Favorites page';
+$lang['llgbo_header_recent_cats'] = 'Display header on Recent category page';
+$lang['llgo_warning_setting'] = 'to use with Gally themes, the plugin cl_conflit must be installed';
+$lang['llgbo_hdShadowbox'] = 'Compliance HD Shadowbox and navigation on picture. <br> HD Shadowbox must be activated!';
+
 ?>