Index: /trunk/admin/include/functions.php
===================================================================
--- /trunk/admin/include/functions.php	(revision 11007)
+++ /trunk/admin/include/functions.php	(revision 11008)
@@ -2101,4 +2101,5 @@
 {
   $result = pwg_query($query);
+  
   $taglist = array();
   while ($row = pwg_db_fetch_assoc($result))
@@ -2112,5 +2113,8 @@
       );
   }
-
+  
+  $cmp = create_function('$a,$b', 'return strcasecmp($a["name"], $b["name"]);');
+  usort($taglist, $cmp);
+  
   return $taglist;
 }
Index: /trunk/admin/themes/default/template/batch_manager_global.tpl
===================================================================
--- /trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 11007)
+++ /trunk/admin/themes/default/template/batch_manager_global.tpl	(revision 11008)
@@ -20,4 +20,5 @@
         noResultsText: '{'No results'|@translate}',
         searchingText: '{'Searching...'|@translate}',
+        newText: ' ({'new'|@translate})',
         animateDropdown: false,
         preventDuplicates: true,
Index: /trunk/admin/themes/default/template/batch_manager_unit.tpl
===================================================================
--- /trunk/admin/themes/default/template/batch_manager_unit.tpl	(revision 11007)
+++ /trunk/admin/themes/default/template/batch_manager_unit.tpl	(revision 11008)
@@ -24,4 +24,5 @@
         noResultsText: '{'No results'|@translate}',
         searchingText: '{'Searching...'|@translate}',
+        newText: ' ({'new'|@translate})',
         animateDropdown: false,
         preventDuplicates: true,
Index: /trunk/admin/themes/default/template/picture_modify.tpl
===================================================================
--- /trunk/admin/themes/default/template/picture_modify.tpl	(revision 11007)
+++ /trunk/admin/themes/default/template/picture_modify.tpl	(revision 11008)
@@ -14,4 +14,5 @@
         noResultsText: '{'No results'|@translate}',
         searchingText: '{'Searching...'|@translate}',
+        newText: ' ({'new'|@translate})',
         animateDropdown: false,
         preventDuplicates: true,
Index: /trunk/admin/themes/default/theme.css
===================================================================
--- /trunk/admin/themes/default/theme.css	(revision 11007)
+++ /trunk/admin/themes/default/theme.css	(revision 11008)
@@ -1023,5 +1023,5 @@
 li.token-input-token span {color: #a6b3cf;margin-left: 5px;font-weight: bold;cursor: pointer;}
 li.token-input-selected-token {background-color: #5670a6;border: 1px solid #3b5998;color: #fff;}
-li.token-input-input-token {float: left;margin: 0;padding: 0;list-style-type: none;}
+li.token-input-input-token {float: left;margin: 0;padding: 0;list-style-type: none;width:10px;}
 div.token-input-dropdown {position: absolute;width: 400px;background-color: #fff;overflow: hidden;border-left: 1px solid #ccc;border-right: 1px solid #ccc;border-bottom: 1px solid #ccc;cursor: default;font-size: 11px;font-family: Verdana;z-index: 1;}
 div.token-input-dropdown p {margin: 0;padding: 5px;font-weight: bold;color: #777;}
Index: /trunk/admin/themes/roma/theme.css
===================================================================
--- /trunk/admin/themes/roma/theme.css	(revision 11007)
+++ /trunk/admin/themes/roma/theme.css	(revision 11008)
@@ -250,2 +250,9 @@
 #batchManagerGlobal #selectedMessage {background-color:#555; color:#ddd;}
 
+/* TokenInput (with Facebook style for ROMA) */
+ul.token-input-list {border-color:#666;background-color:#444;}
+ul.token-input-list li input {background-color:#444;}
+li.token-input-token span {color:#878787;}
+div.token-input-dropdown {background-color:#eee;border-color:#666;}
+div.token-input-dropdown ul li {background-color:#eee;}
+div.token-input-dropdown ul li.token-input-selected-dropdown-item {background-color:#FF7800;}
Index: /trunk/language/en_UK/admin.lang.php
===================================================================
--- /trunk/language/en_UK/admin.lang.php	(revision 11007)
+++ /trunk/language/en_UK/admin.lang.php	(revision 11008)
@@ -432,4 +432,5 @@
 $lang['Move'] = "Move";
 $lang['Name'] = "Name";
+$lang['new'] = "new";
 $lang['New name'] = "New name";
 $lang['New parent album'] = "New parent album";
Index: /trunk/language/fr_FR/admin.lang.php
===================================================================
--- /trunk/language/fr_FR/admin.lang.php	(revision 11007)
+++ /trunk/language/fr_FR/admin.lang.php	(revision 11008)
@@ -846,3 +846,4 @@
 $lang['Type in a search term'] = "Entrez un terme de recherche";
 $lang['Searching...'] = "Recherche...";
+$lang['new'] = "nouveau";
 ?>
Index: /trunk/themes/default/js/plugins/jquery.tokeninput.js
===================================================================
--- /trunk/themes/default/js/plugins/jquery.tokeninput.js	(revision 11007)
+++ /trunk/themes/default/js/plugins/jquery.tokeninput.js	(revision 11008)
@@ -22,4 +22,5 @@
     noResultsText: "No results",
     searchingText: "Searching...",
+    newText: "(new)",
     deleteText: "&times;",
     searchDelay: 300,
@@ -706,5 +707,5 @@
                   
                   if(settings.allowCreation) {
-                      results.push({name: input_box.val() + ' (new)', id: input_box.val()});
+                      results.push({name: input_box.val() + settings.newText, id: input_box.val()});
                   }
                   cache.add(query, settings.jsonContainer ? results[settings.jsonContainer] : results);
@@ -729,5 +730,5 @@
                 
                 if(settings.allowCreation) {
-                    results.push({name: input_box.val() + ' (new)', id: input_box.val()});
+                    results.push({name: input_box.val() + settings.newText, id: input_box.val()});
                 }
                 